@import (reference) 'Messages.variables.import.less';

.modal.conversation-image {
  display: flex;
  justify-content: center;
  .ui.image {

  }
}

.conversation-messages {
  display: flex;
  flex-direction: column;
  position: absolute;
  width: 100%;
  height: 100%;
}

#messages {
  .conversation-messages {
    .header {
      display: flex;
      align-items: center;
      flex: 0 0 auto;
      padding: 0.5em;
      border-bottom: 1px solid @lighterColor;
      font-size: 2em;
      font-weight: 100;
      color: @darkColor;
      background-color: @lighterColor;
      > .image {
        flex: 0 0 auto;
      }
      > .image, > .image > img {
        width: 3em;
        height: 3em;
      }
      .details {
        flex: 1 1 auto;
        display: flex;
        flex-direction: column;
        overflow: hidden;
        .title, .topic {
          overflow: hidden;
          text-overflow: ellipsis;
          white-space: nowrap;
          line-height: 1.25;
        }
        .title {
          .slug {
            color: @color;
            font-size: 0.833em;
          }
        }
        .topic {
          color: @color;
          font-size: 0.5em;
        }
      }
    }
  }
}